Remote Desktop Connection

With Remote Desktop Connection, you can easily connect to a terminal server or to any computer running Remote Desktop. All you need is network access and permissions to connect to the other computer. Optionally, you can specify special settings for your connection and then save the settings for the next time you connect.

For help with specific tasks, see How to....

For general background information, see Concepts.

For troubleshooting information, see Troubleshooting.

Notes

  • To enable your computer to accept remote connections, your computer must be running Windows NT4 Terminal Server Edition, Windows 2000 Server, Windows XP Professional, or a Windows Server 2003 operating system. Check Help for your operating platform for more information.
  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To view a list of available computers on the domain, click the Computer arrow and select <Browse for more...>.


How to...

  • Create a new connection
  • Reestablish a prior connection
  • Save your connection settings to a file
  • Open a saved connection
  • Connect to the console session of a server
  • Disconnect without ending a session
  • Log off and end the session
  • Copy and paste a file from a local computer to a remote computer
  • Copy and paste a file from a remote computer to a local computer
  • Change connection settings


Create a new connection

To create a new connection

  1. Open Remote Desktop Connection.

  2. In Computer, type a computer name or IP address. The computer can be a terminal server, or it can be a computer running Windows XP Professional or a Windows Server 2003 operating system that has Remote Desktop enabled and for which you have Remote Desktop permissions.

    To connect to the console session of the remote computer, in Computer, type:

    computername or IP address /console

  3. Click Connect.

    The Log On to Windows dialog box appears.

  4. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect. For more information, see To change connection settings.

Related Topics

To reestablish a prior connection

To save your connection settings to a file


Reestablish a prior connection

To reestablish a prior connection

  1. In the Remote Desktop Connection window, click the Computer arrow and select the name of the computer to which you want to connect.

  2. Click Connect.

    The Log On to Windows dialog box appears.

  3. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To view a list of available computers on the domain, click the Computer arrow and select <Browse for more...>.

Related Topics

To create a new connection

To save your connection settings to a file


Save your connection settings to a file

To save your connection settings to a file

  1. Open Remote Desktop Connection.
  2. Click Options.
  3. Specify the connection settings that you want for this connection, (such as screen size, automatic logon information, and performance options).
  4. On the General tab, click Save As.
  5. Enter a file name for the saved connection file, and then click Save.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Connections are saved as Remote Desktop protocol (.rdp) files. An .rdp file contains all of the information for a connection to a terminal server, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. The default connection file, Default.rdp, is stored as a hidden file in My Documents. Connection files that you create are also stored in My Documents, but they are not hidden. To edit an .rdp file and change the connections settings it contains, right-click the file and then click Edit.
  • For more information about specifying connection settings, see To change connection settings.

Related Topics

To create a new connection

To open a saved connection


Open a saved connection

To open a saved connection

  1. In Windows Explorer, open the My Documents folder.
  2. Double-click the .rdp file for the connection you want to open.

Note

  • A Remote Desktop protocol (.rdp) file contains all of the information for a connection to a remote computer, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. The default connection file, Default.rdp, is stored as a hidden file in My Documents. Connection files that you create are also stored in My Documents, but they are not hidden. To edit an .rdp file and change the connections settings it contains, right-click the file and then click Edit.

Related Topics

To create a new connection

To save your connection settings to a file


Connect to the console session of a server

To connect to the console session of a server

  1. Open Command Prompt.
  2. Type:

    mstsc /v:server /console

Value | Description
Server | The DNS name or IP address of the server to which you want to connect

Notes

  • To open command prompt, Click Start, point to Programs or All Programs, point to Accessories, and then click Command Prompt.
  • You can also connect to the console session of a server by specifying "/console" when you type a server name or IP address in the Computer field on the General tab on the Remote Desktop Connection Options dialog box.
  • Each computer has only one console session. When you connect to the console session remotely, other users may be unable to log on to the computer locally.
  • Some client option settings are not applied when a connection is made to the console session of a remote computer running Windows XP. For example, if the client has specified a program to start upon connection to a remote computer, that program does not start if the connection is made to the console session of the remote computer. Instead, the default desktop appears. If the connection is made to a session other than the console session, the specified program starts as expected. The console session is the only session available for Remote Desktop on Windows XP Professional, so the default desktop always appears when a connection is made, even if the client has specified a different program.
  • To view the complete syntax for this command, at a command prompt, type:

    mstsc /?

Related Topics

Create a new connection

Reestablish a prior connection


Disconnect without ending a session

To disconnect without ending a session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Disconnect, and then click OK.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • You can also disconnect from a session by closing the Remote Desktop Connection window.
  • Remote Desktop Connection automatically reconnects to this session the next time you connect to this computer (if the remote computer is configured to allow reconnection of disconnected sessions).

Related Topics

To log off and end the session

To change connection settings


Log off and end the session

To log off and end the session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Log Off <username>, and then click OK.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

To disconnect without ending a session

Concepts


Copy and paste a file from a local computer to a remote computer

To copy and paste a file from a local computer to a remote computer

  1. Use Remote Desktop Connection to establish a connection to a remote computer.
  2. Click Start on the task bar of the remote computer, and then click My Computer, or double-click the My Computer icon on the desktop of the remote computer.

    When Windows Explorer opens on the remote computer, it displays the drives on the remote computer. If you have chosen to make your local drives available in a session, Windows Explorer on the remote computer also displays the drives on your local computer. The following example shows how the drives on your local computer are named when they appear in Windows Explorer on the remote computer.

    <driveletter> on <computername>

    tsclient is the name that Remote Desktop Connection assigns to your local computer.

  3. Right-click the file residing on your local computer that you want to transfer to the remote computer, and then click Copy.
  4. Navigate in the same Windows Explorer window to the location on the remote computer where you want to paste the file.
  5. Right-click the folder icon and then click Paste.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

To copy and paste a file from a remote computer to a local computer

Cutting and pasting to and from remote sessions

Accessing local files and folders in a remote session

To make your local disk drives available in a session


Copy and paste a file from a remote computer to a local computer

To copy and paste a file from a remote computer to a local computer

  1. Use Remote Desktop Connection to establish a connection to a remote computer.
  2. Click Start on the task bar of the remote computer, and then click My Computer, or double-click the My Computer icon on the desktop of the remote computer.

    When Windows Explorer opens on the remote computer, it displays the drives on the remote computer. If you have chosen to make your local drives available in a session, Windows Explorer on the remote computer also displays the drives on your local computer. The following example shows how the drives on your local computer are named when they appear in Windows Explorer on the remote computer.

    <driveletter> on tsclient

    tsclient is the name that Remote Desktop Connection assigns to your local computer.

  3. Right-click the file residing on the remote computer that you want to transfer to the local computer, and then click Copy.
  4. Navigate in the same Windows Explorer window to the location on the local computer where you want to paste the file.
  5. Right-click the folder icon and then click Paste.

Note

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.

Related Topics

Copy and paste a file from a local computer to a remote computer

Cutting and pasting to and from remote sessions

Accessing local files and folders in a remote session

To make your local disk drives available in a session


Change connection settings

To change connection settings

  • Provide information for automatic logon
  • Reconnect if connection is dropped
  • Change the screen size for connections
  • Change the color settings for connections
  • Improve the performance of connections
  • Display the connection bar in full-screen mode
  • Specify a program to start upon connection
  • Configure connections to play audio
  • Make your local disk drives available in a session
  • Make your local printer available in a session
  • Make your local serial port available in a session
  • Make a smart card available in a session
  • Configure Windows shortcut keys in a session
  • Configure bitmap caching


Provide information for automatic logon

To provide information for automatic logon

  1. In the Remote Desktop Connection window, click Options.

  2. On the General tab, under Logon settings, in the User name box, verify that your user name is correct.
  3. If required, in the Domain box, type the domain to automatically log on to.
  4. Optionally, clear the Save my password check box, and then enter your password in the Password box.
  5. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, you might be prompted to supply your password upon connection, even if you supply it for automatic logon.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To create a new connection

To change connection settings

To save your connection settings to a file


Reconnect if connection is dropped

To reconnect if connection is dropped

  1. Open Remote Desktop Connection.

  2. Click Options

  3. On the Experience tab, select the Reconnect if connection is dropped check box.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect.

Related Topics

Reestablish a prior connection

Save your connection settings to a file

To change connection settings


Change the screen size for connections

To change the screen size for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, under Remote desktop size, drag the slider to choose the size of your remote desktop. Drag the slider all the way to the right for full screen.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

Using Terminal Services shortcut keys


Change the color settings for connections

To change the color settings for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, in the Colors list, click the color resolution you want.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, the maximum color resolution for your remote connection might be limited. If the color resolution you select is higher than the allowable setting, Remote Desktop Connection creates the connection at the maximum allowable color resolution.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings


Improve the performance of connections

To improve the performance of connections

  1. In the Remote Desktop Connection dialog box, click Options, and then click the Experience tab.
  2. In the Performance box, choose the speed of your connection.

    To improve the performance of the connection, you can allow certain characteristics of the remote Windows session to appear if they are enabled on the remote computer. The characteristics that can be changed depend on the speed of your connection.

    If you choose Custom, you can check any combination of boxes. Your choices are saved in a connection (.rdp) file.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • The default connection speed is Modem (56 Kbps). This speed offers very good performance for most networks. Use the faster speed settings to enable richer graphical features, such as desktop wallpaper or menu sliding and fading. To select a combination of individual effects, use the Custom setting.
  • Depending on the speed of your connection, you can specify the following characteristics:
    • Desktop background
    • Show window contents while dragging
    • Menu fading and sliding
    • Themes
    • Bitmap caching

Related Topics

To save your connection settings to a file

To configure bitmap caching

To change connection settings


Display the connection bar in full-screen mode

To display the connection bar in full-screen mode

  1. In the Remote Desktop Connection window, click Options.
  2. On the Display tab, check the Display the connection bar when in full screen mode box.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • For the first five seconds of a remote connection, the connection bar is displayed so you can verify that you are connected to the correct remote computer. This occurs even though you have chosen not to display the connection bar.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.

Related Topics

To create a new connection

To change connection settings


Specify a program to start upon connection

To specify a program to start upon connection

  1. In the Remote Desktop Connection window, click Options.

  2. On the Programs tab, under Start a program, click Start the following program on connection.
  3. In the Program path and file name box, type the path and file name of the program that you want to run after the connection is created.
  4. Optionally, in the Start in the following folder: box, type the path to the working directory of the program.
  5. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • This option works only if you are connecting to a terminal server.
  • When the connection is made, only the specified program runs on the remote computer.
  • Some client option settings are not applied when a connection is made to the console session of a remote computer running Windows XP. For example, if the client has specified a program to start upon connection to a remote computer, that program does not start if the connection is made to the console session of the remote computer. Instead, the default desktop appears. If the connection is made to a session other than the console session, the specified program starts as expected. The console session is the only session available for Remote Desktop on Windows XP Professional, so the default desktop always appears when a connection is made, even if the client has specified a different program.
  • There are two ways to end a session.
    • To end the session and close the program, use the program's Exit command.
    • To disconnect the session and leave the program running on the remote computer, close the Remote Desktop Connection window.
  • To specify a path, type the drive letter followed by a colon (:) and a backslash (\), type the names of the folders and subfolders that contain the file, separating each name with a backslash, and then type the name of the file or folder you want to open.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings


Configure connections to play audio

To configure connections to play audio

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, in the Remote computer sound list, click the option you want.
    • To run sound files in your Remote Desktop session and hear them on your local computer, choose Bring to this computer.
    • To run sound files in your Remote Desktop session and play them only on the remote computer, choose Leave at remote computer.
    • To disable all sound in Remote Desktop sessions, choose Do not play.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, audio redirection might be disabled for some or all remote connections. Additionally, audio redirection does not work when you connect to a server running Windows 2000 or earlier.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings


Make your local disk drives available in a session

To make your local disk drives available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, Under Local devices, click Disk drives.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Mapping local drives is not available on computers running Windows 2000 or earlier versions of Windows.
  • Depending on the policies of your network, local drive mapping might be disabled for some or all remote connections.
  • You might see a Remote Desktop Connection Security Warning, which asks whether you want to connect your local disk drives, local ports, or smart card to the remote computer. To enable one or more of these connections, check the appropriate check boxes. If you choose not to enable these connections, a Remote Desktop Connection is still established, but these resources are not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings

Making local resources available to a terminal server


Make your local printer available in a session

To make your local printer available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Printers.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local printer mapping might be disabled for some or all remote connections. However, you can print to network printers.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings

Making local resources available to a terminal server


Make your local serial port available in a session

To make your local serial port available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Serial ports.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local serial port mapping might be disabled for some or all remote connections.
  • You might see a Remote Desktop Connection Security Warning, which asks whether you want to connect your local disk drives, local ports, or smart card to the remote computer. To enable one or more of these connections, check the appropriate check boxes. If you choose not to enable these connections, a Remote Desktop Connection is still established, but these resources are not available to the remote computer.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings

Making local resources available to a terminal server


Make a smart card available in a session

To make a smart card available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, Under Local devices, click Smart card.

    Note

    • The option to enable smart card redirection is not displayed unless a smart card is present and the service is enabled.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, smart card redirection might be disabled for some or all remote connections.
  • You might see a Remote Desktop Connection Security Warning, which asks whether you want to connect your local disk drives, local ports, or smart card to the remote computer. To enable one or more of these connections, check the appropriate check boxes. If you choose not to enable these connections, a Remote Desktop Connection is still established, but these resources are not available to the remote computer.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To save your connection settings to a file

To change connection settings

Using a smart card to log on to a terminal server


Configure Windows shortcut keys in a session

To configure Windows shortcut keys in a session

  1. In the Remote Desktop Connection window, click Options.
  2. On the Local Resources tab, under Keyboard, click the Apply Windows key combinations list, and then click the option you want. This option affects the behavior of Windows shortcut key combinations (such as ALT+TAB) when you are connected to a remote computer.
    • To configure your connection so that Windows shortcut keys always apply to your local desktop, choose On the local computer.
    • To configure your connection so that all Windows shortcut keys apply to the desktop of the remote computer, choose On the remote computer.
    • To configure your connection so that Windows shortcut keys apply to the remote computer only when the connection is in full screen mode, choose In full screen mode only.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.
  • This procedure does not apply if you are using Remote Desktop Connection on a computer running Windows 95, Windows 98, or Windows Millennium Edition.
  • CTRL+ALT+DEL always goes to the local desktop. If you need to send CTRL+ALT+DEL to the remote computer, you must use CTRL+ALT+END.
  • To toggle between full screen and non-full screen mode during a Terminal Services session, use CTRL+ALT+BREAK.

Related Topics

Using Terminal Services shortcut keys

To save your connection settings to a file


Configure bitmap caching

To configure bitmap caching

  1. In the Remote Desktop Connection window, click Options.

  2. On the Experience tab, verify that the Bitmap caching check box is selected. Or, to disable bitmap caching, clear the Bitmap caching check box.
  3. Click Connect.

Notes

  • To open Remote Desktop Connection, click Start, point to Programs or All Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Bitmap caching can speed up your connection by storing frequently used images on your local hard disk. By default, bitmap caching is enabled for Remote Desktop connections. It is recommended that you use bitmap caching unless instructed otherwise by your network administrator.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp.

Related Topics

To change connection settings

To save your connection settings to a file

Improve the performance of connections


Concepts

  • Cutting and pasting to and from remote sessions
  • Making local resources available to a terminal server
  • Using a smart card to log on to a terminal server
  • Accessing local files and folders in a remote session
  • Printing to your local printer from a remote session
  • Using Terminal Services shortcut keys


Cutting and pasting to and from remote sessions

Many Remote Desktop and Terminal Server connections provide clipboard sharing, allowing you to cut and paste from programs running in your Remote Desktop session to programs running on your local computer.

When you cut or copy information from a program, it is moved to the Clipboard and remains there until you clear the Clipboard or until you cut or copy another piece of information. The Clipboard window in ClipBook Viewer (Clipbrd.exe) shows the contents of the Clipboard. You can paste the information from the Clipboard into any document as often as you like. However, the information is only stored on the Clipboard temporarily.

The shared clipboard synchronizes its contents with the local clipboard. You can copy and paste text or graphics from a document within the Remote Desktop Connection window, and paste it into a document on your local computer. For information about copying, pasting, and using local files and folders in a Remote Desktop session, see Accessing local files and folders in a remote session.

Note

  • Depending on the policies of your network and the version of Windows that is running on the remote computer, clipboard sharing might not work in some instances.


Making local resources available to a terminal server

Depending on the Group Policy settings on the network, you can choose whether to allow a terminal server to have access to the disk drives, serial ports, printers, or smart card on your local computer. This is called resource redirection. Unless Group Policy settings prohibit resource redirection, you can redirect local resources to the terminal server by checking the appropriate checkbox in the Local devices section on the Local Resources tab in Remote Desktop Connection.

Making these resources available to a terminal server means that they can be used by that terminal server for the duration of the session. For example, suppose you choose to make your local disk drive available to the terminal server. While this allows you to easily copy files to or from the terminal server, it also means that the terminal server has access to the contents of your local disk drive. If there are times when this would not be appropriate, you can uncheck the appropriate checkbox to keep your local disk drive, or any other local resource, from being redirected to the terminal server.

By default, resource redirection for disk drives, serial ports, and smart cards is turned off. To turn on resource redirection, see To make your local serial port available in a session, To make your local disk drives available in a session, and To make a smart card available in a session.


Using a smart card to log on to a terminal server

Smart cards are the most secure way to log on to a computer that is connected to a network. Because smart cards are tamper-resistant, they offer much stronger security than password-based logons can provide.

Many people choose passwords they can remember easily, which makes password-based logons weak and open to attack. If an unauthorized individual obtains your password, that individual can use your identity to connect to a network. However, to log on to a network by using your smart card, an unauthorized individual would have to obtain both the smart card and your personal identification number (PIN), which is far less likely.

Using a smart card to log on to a terminal server verifies your identity to the terminal server and allows you to access the programs you need to do your work. You can also make the smart card available to the terminal server for the duration of the session, in the same way that you can make your local disk drives available to the terminal server. However, the terminal server cannot access any private information stored on the smart card without your consent.

For information on making a smart card available to a terminal server, see To make a smart card available in a session. The option to enable smart card redirection is not displayed unless a smart card is present and the service is enabled.


Accessing local files and folders in a remote session

You can configure Remote Desktop Connection to make your local drives available when you connect to a remote computer.

Within a Remote Desktop Connection session, your local drives appear in Windows Explorer with the following designation:

<driveletter> on <computername>

To access local drives from a command line or a run line in a remote session, type:

\\tsclient\<driveletter>

where driveletter is the drive letter (without a colon) of the local drive.

Notes

  • Depending on your network policies, automatic drive mapping might be disabled for some or all computers on your network. To ensure that Remote Desktop Connection is configured to map local drives, see To make your local disk drives available in a session.
  • Automatic drive mapping is not available when you are connecting to a terminal server running Windows 2000 or earlier.


Printing to your local printer from a remote session

Printer redirection routes printing jobs from the terminal server or Remote Desktop computer to a printer attached to your local computer (also called the "client computer"). There are two ways to provide access to local printers: automatic and manual printer redirection. Use manual redirection when your local printer requires a driver that is not available on the version of Windows that is running on the remote computer.

Automatic printer redirection

Printer redirection is automatic when the local printer uses a driver that is installed on the server. When you log on to a session on a terminal server, or to a computer running Windows Professional or Server and Remote Desktop, any printers that are installed on the client (local) computer, as well as network printers, are automatically detected and a local queue is created on the server. The client computer printer settings for the default printer and some properties (such as printing on both sides of the page) are used by the server.

When you disconnect or end the session, the printer queue is deleted, and any incomplete or pending print jobs are lost. Information about the client's local printers and settings are saved on the client computer. On subsequent logons, the printer queue is created using the information stored on the client computer.

If a printer driver is not found on the server, an event is logged and the client printer is not created. To make the printer available, the driver must be manually installed on the server.

Manual printer redirection

Printers attached to LPT and COM ports on the client (local) computer can be manually redirected, although manual redirection of printers connected through USB ports is not supported.

To manually redirect a client printer, contact your administrator and provide the name of your computer (or IP address for a Windows-based Terminal). The client must be connected to the remote computer during manual redirection.

After the initial manual redirection, printers are automatically redirected during subsequent logons.

Notes

  • Redirected printers are available for use with applications running on the server. Redirected printers appear in the Printers and Faxes folder in Control Panel. For more information on redirecting a local printer, see To make your local printer available in a session.
  • When you disconnect or log off from a session, the printer queue is deleted, and incomplete or pending print jobs are lost.


Using Terminal Services shortcut keys

If you choose not to apply Windows key combinations to your Terminal Services sessions, you can use these shortcut keys to perform many of the same functions. For more information about applying Windows key combinations, see To configure Windows shortcut keys in a session.

Shortcut key | Description
ALT+PAGE UP | Switches between programs from left to right.
ALT+PAGE DOWN | Switches between programs from right to left.
ALT+INSERT | Cycles through the programs in the order they were started.
ALT+HOME | Displays the Start menu.
CTRL+ALT+BREAK | Switches the client between a window and full screen.
CTRL+ALT+END | Brings up the Windows Security dialog box.
ALT+DELETE | Displays the Windows menu.
CTRL+ALT+Minus (-) symbol on the numeric keypad | Places a shadow copy of the active window within the client, on the Terminal server clipboard, which provides the same functionality as pressing PrintScrn on a local computer.
CTRL+ALT+Plus (+) symbol on the numeric keypad | Places a shadow copy of the entire client window area on the Terminal server clipboard, which provides the same functionality as pressing ALT+PrintScrn on a local computer.

Notes

  • On an NEC98, these shortcut keys are different in two cases:
    • CTRL+ALT+BREAK is replaced by CTRL+GRPH+VF2.
    • CTRL+ALT+END is replaced by CTRL+GRPH+VF1.
  • CTRL+ALT+BREAK and CTRL+ALT+END are available in all Remote Desktop Connection sessions, even if you choose to apply Windows key combinations on the remote computer.


Troubleshooting

  • Troubleshooting general error messages
  • Troubleshooting licensing error messages
  • Troubleshooting specific problems


Troubleshooting General Error Messages

Which message are you getting?

Because of an error in data encryption, this session will end. Please try connecting to the remote computer again.

Cause: Data encryption provides security for data traveling over network connections. A data encryption error can end a session for security reasons.

Solution: Try connecting to the remote computer again. Encryption policies can vary between systems and domains. If you continue to see this error message, contact the server administrator.

The remote connection has timed out. Please try connecting to the remote computer again.

Cause: The terminal server disconnected your session because you did not send a response within the time limit set for responses.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

Cause: A slow network connection, caused by excessive network traffic, has delayed your response to the terminal server.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: Your connection to the terminal server exceeded the time limit.

Solution: Try connecting to the terminal server again. If you receive this error message, try to reconnect at a later time. If you continue to receive this error message, contact the server administrator.

The specified computer name contains invalid characters. Please verify the name and try again.

Cause: The name of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name of the remote computer again. If you receive the same message, contact the server administrator to be sure you are using the correct name for the remote computer.

The specified remote computer could not be found. Verify that you have typed the correct computer name or IP address, and then try connecting again.

Cause: The name or IP address of the remote computer is incorrect. This might be a typing error.

Solution: Try typing the name or IP address of the remote computer again. If you receive the same message, contact the server administrator to be sure you are using the correct name or IP address for the remote computer.

The remote session to the remote computer was ended by means of an administration tool. Your administrator might have ended your connection.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because your session was logged off at the remote computer. Your administrator or another user might have ended your session.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because another user has connected to the session.

Cause: The most common cause of this error is that the server administrator needed to perform maintenance tasks on the terminal server. These tasks can be performed only when there are no remote connections to the terminal server.

Solution: Try to reconnect at a later time. If you receive the same message, contact the server administrator.

The remote session was disconnected because the total logon time limit was reached. This limit is set by the server administrator or by network policies.

Cause: Your connection to the terminal server exceeded the time limit set.

Solution: Try connecting to the remote computer again. If you receive the same message, try to reconnect at a later time. If you still have problems connecting, contact the server administrator.

The local computer is low on memory. Close some programs, and then connect to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

The connection was ended because of a network error. Please try connecting to the remote computer again.

Cause: A network error prevented your computer from communicating with the terminal server.

Solution: Try connecting to the remote computer again. If you receive the same message, be sure that your computer is connected to the network. If you are still unable to connect to the remote computer, contact the server administrator.

The client could not connect. You cannot connect to the console from a console session of the same computer.

Cause: You are logged on to a computer and you are trying to connect to that same computer.

Solution: If you are not on the same computer, contact the server administrator.

The client could not connect to the remote computer. Remote connections might not be enabled or the computer might be too busy to accept new connections. It is also possible that network problems are preventing your connection. Please try your connection again later. If the problem continues to occur, contact your administrator.

Cause: The remote computer might not be set up to accept remote connections.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Cause: The remote computer might already have the maximum number of remote connections it is set up to accept.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Cause: Network problems might be preventing the connection.

Solution: Try connecting to the remote computer at a later time. If you receive the same message, contact the server administrator.

Error: Out of memory. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An internal state error has occurred. The remote session will be disconnected. Your local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

Because of a protocol error, this session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server to which you were connected.

Solution: Try connecting to the remote computer again. If you receive the same message, contact the server administrator.

Because of a protocol error (error_code), the remote session will be disconnected. Please try connecting to the remote computer again.

Cause: A protocol specifies the way a computer communicates with other computers. A protocol error prevents your computer from communicating with the terminal server to which you were connected.

Solution: Try connecting to the remote computer again. If you receive the same message, contact the server administrator, and provide the error code that was displayed in the message.

Because of a security error, the client could not connect to the remote computer. Verify that you are logged on to the network, and then try connecting again.

Cause: The most common causes are network errors or slowdowns.

Solution: Be sure your computer is connected to the network. Try to reconnect at a later time. If you cannot connect, contact the server administrator.

The remote session was disconnected because the remote computer is low on memory.

Cause: Memory errors have a variety of causes, but the result is the same. The remote computer does not have enough memory to start and maintain the connection you are attempting to make.

Solution: Contact the server administrator.

Because of an unknown error, the remote session will be disconnected. The local computer might be low on memory. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An unrecoverable error occurred while the client was attempting to connect. Close some programs, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

An error occurred when the client attempted to connect to the remote computer. Check your system memory and then try the connection again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.

Unable to allocate window resources. The remote session will be disconnected. Close some programs on the local computer, and then try connecting to the remote computer again.

Cause: Not enough RAM available on your computer. If your computer has too little RAM available, it cannot free enough processing capacity to start new functions, such as applications or connections.

Solution: Close all unnecessary programs, and try your connection again.

Cause: Not enough disk space available on your hard drive. If the hard drive on your computer is full, there might not be enough space available to allow the swap file to operate correctly. The swap file allows your computer to perform some RAM functions even when there is not enough RAM space available.

Solution: Free some space on your hard drive by:

  • Emptying your recycle bin.
  • Deleting temporary Internet files.
  • Moving documents and other data files to a different drive.
  • Removing programs that you rarely use.
  • Deleting old temporary files from your hard disk. Temporary files have a .tmp file name extension, or names that begin with a tilde (~), and are usually found in the C:\Temp or C:\Windows\Temp folder.
  • Emptying your recycle bin after you delete files.


Troubleshooting Licensing Error Messages

This topic lists licensing error messages that can appear on client computers, and it describes the causes of and solutions for these errors. Although these error messages appear on clients, they are frequently caused by problems with the Windows Server 2003 Terminal Server license server or the terminal server. Therefore, when you troubleshoot Terminal Server Licensing issues, it is useful to first determine whether there are server configuration issues or problems with network connectivity.

Important

  • The solutions in this topic are intended to be implemented by administrators. If you are not an administrator, contact your server administrator for assistance in resolving these error messages. If you are an administrator, to help prevent Terminal Server Licensing issues and to more efficiently diagnose issues, it is highly recommended that you see Troubleshooting Terminal Server Licensing (http://go.microsoft.com/fwlink/?LinkId=38499), Guidelines for Deploying Terminal Server (http://go.microsoft.com/fwlink/?LinkID=34627), and Windows Server 2003 Terminal Server Licensing Issues and Requirements for Deployment (http://go.microsoft.com/fwlink/?LinkID=23444).

Which message are you getting?

The remote session was disconnected because the local computer's client access license could not be upgraded or renewed. Please contact the server administrator.

Cause: The Terminal Server licensing mode on the terminal server might be set to Per Device, while the license server might be configured to issue only Per User client access licenses (CALs). If this is the case, then the license server issues only temporary licenses that cannot be upgraded. When the temporary licenses are within several days of expiring, “Event ID 26, Source: Application Pop-up” appears in the application event log on the client. The event message indicates the number of days remaining before the temporary license expires. Similarly, “Event ID 1011, Source TermService” appears in the application event log on the terminal server.

Solution: Change the Terminal Server licensing mode from Per Device to Per User.

Important

  • Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. This does not remove administrators from End User License Agreement (EULA) requirements to have a valid terminal server CAL for each user. Failure to have a Per User CAL for each user, if Per Device CALs are not being used, is a violation of the EULA.

    • The following text is from the EULA for Windows Server 2003:

    “Two different TS CALs are available to you: ‘Device’ and ‘User.’ Each TS Device CAL permits one Device (used by any User) to conduct Windows Sessions on any of your Servers. Each TS User CAL permits one User (using any Device) to conduct Windows Sessions on any of your Servers. You may use a mix of TS Device CALs and TS User CALs simultaneously with the Server Software in your environment. You can have a Terminal Server request Per User licenses or Per Device (default) but not both simultaneously.”

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

The remote computer disconnected the session because of an error in the licensing protocol. Please try connecting to the remote computer again or contact your server administrator.

Cause: The terminal server might not be able to locate the license server.

Solution: Perform the following steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client, the terminal server, and the license server can communicate by ensuring that Domain Name System (DNS) is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, FQDN, and the NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred licensing server to connect to. You can do this by using the registry, a Windows Management Instrumentation (WMI) script, or, in Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

  1. On the client, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save
    5. .

    If you need to restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664); Removing Terminal Server Licenses From an RDP Client (http://go.microsoft.com/fwlink/?LinkId=38560)

The remote session was disconnected because there were network problems during the licensing protocol. Please try connecting to the remote computer again.

Cause: The terminal server might not be able to locate the license server.

Solution: Perform the following steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client, the terminal server, and the license server can communicate by ensuring that DNS is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, FQDN, and the NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred licensing server to connect to. You can do this by using the registry, a WMI script, or, in Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The license server might be running Windows 2000, and it might be configured to prohibit anonymous connections, except by resources that have been explicitly granted access to the server.

Solution: On the license server, do one of the following:

  • In the registry, navigate to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\RestrictAnonymous, and set the RestrictAnonymous registry key to a value of 1 or 0.

    Caution

    • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

  • In Local Security Policies, open the appropriate policy and, in the console tree, navigate to Computer Configuration\Windows Settings\Security Settings\Local Policies\Security Options. Then, enable either Do not allow enumeration of SAM accounts and shares (equivalent to a RestrictAnonymous value of 1 or None) or Rely on default permissions (equivalent to a RestrictAnonymous value of 0).

    • Notes

    • If the license server is a member of an Active Directory domain and a conflicting security setting is configured for the license server in Group Policy, the Group Policy setting overrides the local security setting. In this case, to ensure that the security setting that you want to apply takes effect, configure the setting in Group Policy.
    • In Windows Server 2003, you cannot set RestrictAnonymous to a value of 2 to prohibit anonymous connections. If you need to prohibit anonymous users from being granted the same access that is granted to members of the Everyone group, you must use the new Everyone Network access: Let Everyone permissions apply to anonymous users setting in Local Security Policies.

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.
  1. On the client, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save
    5. .

    If you need to restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664); How To Use the RestrictAnonymous Registry Value in Windows 2000 (http://go.microsoft.com/fwlink/?LinkId=38561)

A licensing error occurred while the client was attempting to connect. (Licensing timed out.) Please try connecting to the remote computer again.

Cause: If you are using Internet Protocol security (IPsec) to help protect traffic over TCP between clients and terminal servers, then packet fragmentation might occur. As a result, some packets might not reach their destination, and client connections to terminal servers might fail.

Solution: Configure IPsec to help protect traffic over UDP rather than over TCP.

See also: Define IPSec Policies

The remote session was disconnected because there are no Terminal Server client access licenses available for this computer. Please contact the server administrator.

Cause: The license server might not have any remaining Per Device CALs to issue.

Solution: Use Terminal Server Licensing to determine the number of CALs remaining on the license server. To open Terminal Server Licensing, click Start, Programs, Administrative Tools, and then point toTerminal Server Licensing. If the license server does not have any remaining CALs to issue to clients, purchase and install additional CALs as required.

Cause: The Terminal Server licensing mode on the terminal server might be set to Per Device, while the license server might have only Per User CALs. If this is the case, the license server issues only temporary licenses that cannot be upgraded. When the temporary licenses are within several days of expiring, “Event ID 26, Source: Application Pop-up” appears in the application event log on the client. The event message indicates the number of days remaining before the temporary license expires. Similarly, “Event ID 1011, Source TermService” appears in the application event log on the terminal server.

Solution: Change the Terminal Server Licensing mode from Per Device to Per User.

Important

  • Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. This does not remove administrators from EULA requirements to have a valid terminal server CAL for each user. Failure to have a Per User CAL for each user, if Per Device CALs are not being used, is a violation of the EULA.

    • The following text is from the EULA for Windows Server 2003:

    “Two different TS CALs are available to you: ‘Device’ and ‘User.’ Each TS Device CAL permits one Device (used by any User) to conduct Windows Sessions on any of your Servers. Each TS User CAL permits one User (using any Device) to conduct Windows Sessions on any of your Servers. You may use a mix of TS Device CALs and TS User CALs simultaneously with the Server Software in your environment. You can have a Terminal Server request Per User licenses or Per Device (default) but not both simultaneously.”

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The terminal server might not be able to locate the license server.

Solution: Perform the following steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client, the terminal server, and the license server can communicate by ensuring that DNS is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, FQDN, and the NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred licensing server to connect to. You can do this by using the registry, a WMI script, or, in Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

Solution: If the previous solution does not resolve this problem, create a backup of the MSLicensing registry key and its subkeys on the client, and then remove the original key and subkeys by doing the following:

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.
  1. On the client, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
    2. .
  2. Click MSLicensing
    3. .
  3. On the Registry menu, click Export Registry File
    4. .
  4. In the File name box, type mslicensingbackup, and then click Save
    5. .

    If you need to restore this registry key in the future, double-click mslicensingbackup.reg.

  5. On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
  6. Close Registry Editor, and then restart the computer.

    7. When the client is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

The remote session was disconnected because there are no Terminal Server License Servers available to provide a license. Please contact the server administrator.

Cause: The terminal server might not be able to locate the license server.

Solution: Perform the following steps:

  1. Verify that the license server is correctly installed.
  2. Verify that the Terminal Server Licensing service is running on the license server.
  3. Verify that the client, the terminal server, and the license server can communicate by ensuring that DNS is configured correctly on each computer. To do this, run the ping command from each computer to each computer using the IP address, FQDN, and the NetBIOS name. If any of the ping commands fail, verify the DNS configuration on the network.
  4. On the terminal server, set a preferred licensing server to connect to. You can do this by using the registry, a script, or, in Windows Server 2003 with Service Pack 1, you can use Group Policy settings or Terminal Server Configuration.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: The client might have exceeded its Terminal Server Licensing grace period, and a license server has not yet been installed or activated to issue the client a CAL.

Solution: Install Terminal Server Licensing, activate the license server, and then install and purchase a sufficient number of CALs to support the clients in your organization.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Because of a security error, the client could not connect to the terminal server. After making sure that you are logged on to the network, try connecting to the server again.

Cause: If you upgraded a Windows NT domain to Windows 2000 or Windows Server 2003, then the certificate on the terminal server might be corrupt. As a result, Windows 2000 Terminal Services clients might be repeatedly denied access to the terminal server.

Solution: On each terminal server and client, perform the following steps:

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.
  1. On each terminal server, create a backup of the registry.
  2. Navigate to the following registry subkey: HKLM\SYSTEM\CurrentControlSet\Services\TermServices\Parameters.
  3. On the Registry menu, click Export Registry File.
  4. In the File name box, type exported-parameters, and then click Save.

    5. If you need to restore this registry subkey in the future, double-click exported-parameters.reg.

  5. Under the Parameters registry subkey, right-click each of the following values:
    • Certificate
    • X509 Certificate
    • X509 Certificate ID
  6. Click Delete, and then click Yes to confirm the deletion.
  7. Close Registry Editor, and then restart each terminal server.
  8. On the client, create a backup of the MSLicensing registry key and its subkeys on the client, and then remove the original key and subkeys by doing the following:
    • On the client, navigate to the following registry subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSLicensing
      • .
    • Click MSLicensing
      • .
    • On the Registry menu, click Export Registry File
      • .
    • In the File name box, type mslicensingbackup, and then click Save
      • .

      If you need to restore this registry key in the future, double-click mslicensingbackup.reg.

    • On the Edit menu, click Delete, and then click Yes to confirm the deletion of the MSLicensing registry subkey.
    • Close Registry Editor, and then restart the computer.

      • When the client is restarted, the missing registry key is rebuilt.

If the client still cannot connect to the terminal server, perform the following variation of this procedure:

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.
  1. Deactivate the license server.
  2. Reactivate the license server by using the Telephone connection method in the Terminal Server License Server Wizard.

    3. When you activate Terminal Server Licensing by using the Telephone option, Terminal Server Licensing uses a different certificate.

  3. On each terminal server, create a backup of the registry, and then delete the Certificate, X509 Certificate, and X509 Certificate ID registry keys, as described in the preceding procedure.
  4. Close Registry Editor, and then restart each terminal server.
  5. On the client, create a backup of the MSLicensing registry key and its subkeys on the client, and then remove the original key and subkeys as described in the preceding procedure.
  6. Close Registry Editor, and then restart the computer.

    7. When the client is restarted, the missing registry key is rebuilt.

See also: Terminal Server Licensing Help (http://go.microsoft.com/fwlink/?LinkID=38664)

Cause: Windows XP-based clients might be attempting to connect to a Windows 2000-based Terminal Services server in a low-bandwidth network environment, in which client sessions are encrypted. In this case, IP packet fragmentation can cause encrypted frames that are sent by a client to be decrypted incorrectly.

Solution: Obtain the latest service pack for Windows 2000.

Cause: The Remote Desktop Protocol (RDP) encryption settings on the terminal server computer and the client might not be compatible. For example, the terminal server might be running 128-bit encryption with an encryption level set to High. When this occurs, “Event ID 50, Source: TermDD” appears in the system event log on the terminal server.

Solution: Change the RDP encryption level on the terminal server to Medium or Low.

See also: Because of a Security Error, the Client Could Not Connect to the Terminal Server (http://support.microsoft.com/default.aspx?scid=kb;en-us;329896); Terminal Services Sessions Are Disconnected Because of a Decryption Error (http://go.microsoft.com/fwlink/?LinkId=38563); Terminal Services Client Cannot Connect to a Server Running 128-bit Encryption (http://go.microsoft.com/fwlink/?LinkId=38559)


Troubleshooting Specific Problems

What problem are you having?

I cannot copy text from an application on the terminal server to another application that is on my local computer.

Cause: It is possible that Remote Desktop Connection was not installed correctly.

Solution: Uninstall and then reinstall Remote Desktop Connection. If you need assistance, contact the server administrator.

I minimized the Remote Desktop Connection dialog box, and then my screen went blank.

Cause: Using a password-protected screen saver can cause this problem. Your applications are still running on the remote computer, but you can no longer use them.

Solution: Disconnect Remote Desktop Connection, or ask the server administrator to disconnect you.

Solution: Do not minimize the Remote Desktop Connection dialog box if your computer uses a password-protected screen saver.

Solution: Do not use a password-protected screen saver on your local computer.

The screen saver on my Remote Desktop is blank.

Cause: By default, when a screen saver is activated on Remote Desktop, it is blank. This is true regardless of whether you have previously selected a different screen saver.

Solution: Continue to use the blank screen saver.

I'm supposed to be able to connect to a specific application when I log on to the remote computer, but it doesn't start.

Solution: If the remote computer is running Windows XP Professional, the complete contents of the Desktop are always displayed. Start the program you want to use by double-clicking its icon on the Desktop or using the Start menu.

Cause: The client connection might have been configured to start a program upon connection, but the program path and file name are incorrect.

Solution: Check the properties for the client connection to ensure that the program path and file name are correct. Also, confirm that the program exists in this location on the server.

Cause: The server administrator might have specified a different program to start upon connection, using Group Policy, Terminal Services Configuration, or other Terminal Services administration tools.

Solution: Contact the server administrator.

Remote Desktop Connection is very slow.

Cause: A low-bandwidth connection can slow Remote Desktop performance.

Solution: On the remote computer, set the background selection to None.

Solution: Do not run memory-intensive applications over Remote Desktop Connection.

Solution: Consider upgrading your modem or purchasing a high-speed service.